#ifndef AISUtil_h
#define AISUtil_h

struct OISCommand {
  int channel;
  char const * name;
};

enum OISState {
  handshaking,
  syncing,
  active
};

enum OISRequest {
  boolRequestType,
  intRequestType,
  floatRequestType
};

enum OISManagedInputType {
  trigger,
  latching
};

enum OISErrors {
  OISSerialOverflow,
  OISUnknownError
};

typedef void (*OISErrorCallback)(OISErrors error);

// This allows managed input objects to store a reference
// to an ObjectsInSpace object, and use it to send commands.
class ObjectsInSpaceInterface
{
 public:
  virtual void sendCommand(OISCommand command) = 0;
};

#endif
